<script setup>
defineProps({
  dataObjectIcon: {
    type: String,
    required: true,
  },
  size: {
    type: String,
    default: "medium",
  },
});
</script>

<template>
  <v-icon
    v-if="dataObjectIcon.startsWith('fa')"
    class="mx-1 my-auto"
    :icon="`fa: ${dataObjectIcon}`"
    :size="size"
  />
  <v-icon
    v-if="!dataObjectIcon"
    class="mx-1 my-auto"
    icon="fa: fas fa-circle-question"
  />
  <v-img
    v-if="dataObjectIcon.toLowerCase().includes('.png', '.jpg', '.jpeg', '.svg')"
    class="mx-1 my-auto"
    max-width="30"
    :src="dataObjectIcon"
  />
  <i
    v-if="dataObjectIcon.includes('nf ')"
    :class="`mx-1 my-auto ${dataObjectIcon}`"
  />
</template>

<style></style>
